# Enterprise network, small, 3 nodes

set ns [new Simulator]
source tb_compat.tcl

proc tarfile-append {node tdir tfile} {
    set name "$tdir /proj/SHN/tarfiles/$tfile"
    set orig [$node set tarfiles]
    if {$orig == {}} {
       $node set tarfiles $name
    } else {
       $node set tarfiles [join [list $orig $name]  ";"]
    }
}

set proggroup [$ns event-group]


foreach node {n1 n2 br0} {
   set $node [$ns node]
   tb-set-hardware $node bpc2800

   set $node-prog [$node program-agent]
   $proggroup add $node-prog

   tb-set-node-os $node FC4-SMP8-2
   tarfile-append $node / harpoon.tar.gz
   tarfile-append $node / floodwatch.tar.gz
   tarfile-append $node / cossack.tar.gz
   tarfile-append $node / dward.tar.gz
   tarfile-append $node / cleo.tar.gz

   tarfile-append $node /usr pircd.tar.gz

   tarfile-append $node /usr/bin fc4.D.tar.gz
   tarfile-append $node /var/www/html web.D.tar.gz

}

set floor0 [$ns make-lan "$br0 $n1 $n2" 1000Mb 0ms]


set setupseq [$ns event-sequence {
    $proggroup run -command "sudo experiment-setup.pl D >& /tmp/exp.log"
}]

$ns at 0 "$setupseq start"
$ns rtproto Static
$ns run
